<template>
  <win-md :title="setting.title" @close="close" :width="'1200px'">
    <el-row :gutter="20" style="margin-bottom: 20px" type="flex" align="middle">
      <el-col :span="6">盘点单号：{{ formData.businessFormCode }}</el-col>
      <el-col :span="6">盘点任务：{{ formData.businessFormName }}</el-col>
      <el-col :span="6">盘点仓库：{{ formData.warehouseName }}</el-col>
    </el-row>
    <el-table v-loading="loading" :data="formData.formInventoryGoodsList" height="500" :stripe="true" class="the-table">
      <el-table-column prop="goodsTemplateName" label="物品名称"></el-table-column>
      <el-table-column prop="baseGoodsModelsName" label="型号" align="center"></el-table-column>
      <el-table-column prop="inventoryCount" label="应盘数量" align="center"></el-table-column>
      <el-table-column prop="realNum" label="实盘数量" align="center"></el-table-column>
      <el-table-column prop="status" label="状态" align="center">
        <template slot-scope="{row}">
          {{ row.status|typeName }}
        </template>
      </el-table-column>
    </el-table>
  </win-md>
</template>

<script>
import winMd from '@/components/win/win-md';
import myButton from '@/components/myButton/myButton';
import {inventoryDetail} from '@/api/stock/inventory';

export default {
  components: {winMd, myButton},
  props: {
    setting: {
      type: Object,
      default: () => {
      },
    },
  },
  data() {
    return {
      loading: false,
      formData: {
        businessFormCode: '2023080812',
        businessFormName: '2023年9月盘点单',
        warehouseName: '开封市仓库',
        formInventoryGoodsList: [],
      },
    };
  },
  filters: {
    typeName(type) {
      switch (type) {
        case 1:
          return '正常'
        case 2:
          return '盘盈'
        case 3:
          return '盘亏'
        default:
          return ''
      }
    }
  },
  created() {
    inventoryDetail({id: this.setting.id}).then((res) => {
      this.formData = res;
    });
  },
  methods: {
    close() {
      this.$emit('close');
    },
    save() {
    },
  },
};
</script>

<style></style>
